Subject: Re: bug#37865: guix pull: error: You found a bug:

From: Bengt Richter <[email-masked]>
Date: Thu, 24 Oct 2019 23:55:04 -0700

On +2019-10-24 13:49:56 -0700, Bengt Richter wrote:
> On +2019-10-24 13:34:29 +0200, Kai Mertens wrote:
> 
> [...]
> > 
> > When invoking guix package -I for example, I encountered an error like
> >  guile: failed to install locale
> >
> 
> I have encountered the same error. It seems to recur for me after major updates.
> So there seems to be something lurking to reawaken the real error message source.
> I collected some symptoms and posted them as bug#37900.
> 
A recently committed fix enabled me to fix my problem with "guile: failed to install locale"
that was triggered by any invocation of guix:

guix pull          ## make sure the fix is in! ;-)

guix install avahi ## likely you won't need this first, but it stood in my way per bug#37900
     	     	   ## (after the fix, I might not have needed it either for the locale upgrade, idk).

guix install glibc-utf8-locales ## if your locale is within '("de_DE" "el_GR" "en_US" "fr_FR" "tr_TR")

If you have an exotic locale outside of those, you may have to install the big one:

guix install glibc-locales

A snip from  guix edit glibc-utf8-locales:
---------------------------------------
                               ;; tests---e.g., in Guile's i18n tests.
                               '("de_DE" "el_GR" "en_US" "fr_FR" "tr_TR"))
                     #t))))
    (native-inputs `(("glibc" ,glibc)
                     ("gzip" ,gzip)))
    (synopsis "Small sample of UTF-8 locales")
    (description
     "This package provides a small sample of UTF-8 locales mostly useful in
test environments.")
---------------------------------------
HTH, in case your "guile: failed to install locale" hasn't gone away yet :)
--
Regards,
Bengt Richter